Subject: Re: [RFC] Git User's Survey 2009 - second trial run, and question about announcing it

From: Jakub Narebski <[email-masked]>
Date: Sun, 5 Jul 2009 21:45:26 +0200

On Sun, 5 July 2009, Felipe Contreras wrote:
> On Sun, Jul 5, 2009 at 9:30 PM, Junio C Hamano<[email-masked]> wrote:
>> Felipe Contreras <[email-masked]> writes:

>>> I guess Junio's blog is the most official one ATM,...
>>
>> Sorry, don't.
>>
>>  - Even if you are pretending to be a git community member, you are merely
>>   a phoney if you are not reading it.
>>
>>  - If you want to be up-to-date with what is happening in the community,
>>   you should be reading it.  Any important announcement always will
>>   appear there.
>>
>> That would be an official blog.  I do not use mine that way, and nobody
>> has to follow it in order to function better in the git land.
>>
>> It's like expecting Linus to announce the kernel release in his blog.
>>
>> Not going to happen.  The official channel of this community has always
>> been this list.
>>
>> I'm OK if somebody declares that he will use his blog to relay important
>> announcements from this list, to help blog minded people to follow it
>> instead of reading the list.

There is always http://gitrss.q42.co.uk/announce.rss which extracts
"[ANNOUNCE]" emails from git mailing list into an RSS feed, for those
who prefer this way of watching for git news.

>>
>> But that won't be me.
> 
> I know there's no official git blog, I've tried to change that, but so
> far that hasn't happened. IMHO for now the most popular git blog(s)
> should announce the survey, I'll announce it at gitlog.wordpress.com
> but it is far from being popular.
> 
> I understand your position for not making your personal blog the
> official one; I wouldn't do that on my personal blog either
> (felipec.wordpress.com) that's why I created a separate blog for that,
> where you, or anyone else, can do official git posts instead of on
> their personal blog.

It's just that somehow for "Git Development Community" a mailing list
is enough.  We don't have official git blog, we don't have bugtracker
(issue tracker).  At the beginning git didn't even had _homepage_.

A propos blogs: Elijah Newren writes from time to time about git
on http://blogs.gnome.org/newren/ ; I think this blog is in a few
GNOME planets, so if he were so kind as put announcement there
when the time comes...  It would be good to have such announcement
on some blog which is in Perl blog planet (Perlsphere and/or Planet
Perl Iron Man), and similarly for other communities which rely on
blogs (KDE, Ruby: anyone?).

There is also http://www.versioncontrolblog.com (which is currently
off-line, so I can't check who to contact).

-- 
Jakub Narebski
Poland